package polimi.se.battaglia;

public class Nave {
	PosizioneNave pn; 
	private boolean[] colpita;
	
	public Nave(PosizioneNave pn){
		this.pn=pn;
		colpita=new boolean[pn.dim];
	}
	
	public void colpo(int x,int y){
		for(int k=0;k<pn.dim;k++){
			int tx=pn.x+pn.s.incx*k;
			int ty=pn.y+pn.s.incy*k;
			if(tx==x && ty==y)
				this.colpita[k]=true;
		}
	}
	
	public String mostraStato(int x,int y){
		for(int k=0;k<pn.dim;k++){
			int tx=pn.x+pn.s.incx*k;
			int ty=pn.y+pn.s.incy*k;
			if(tx==x && ty==y && colpita[k])
				return " X ";
		}
		
		return " "+pn.dim+" ";
	}
	
	public boolean affondata(){
		for(int k=0;k<pn.dim;k++){
			if(!colpita[k])
				return false;
		}
		
		return true;
	}
	
	public String toString(){
		return ""+pn.dim;
	}
}
